/*
 * Property.h
 *
 * Copyright 2003 by Anthony Howe.  All rights reserved.
 */

#ifndef __com_snert_lib_util_Property_h__
#define __com_snert_lib_util_Property_h__	1

#include <com/snert/lib/util/Vector.h>

typedef void *Property;

#ifdef __cplusplus
extern "C" {
#endif

extern Property PropertyCreate(void);
extern void PropertyDestroy(Property);
extern int PropertyLoad(Property, const char *);
extern int PropertySave(Property, const char *);
extern long PropertyCount(Property);
extern Vector PropertyKeys(Property);
extern Vector PropertyValues(Property);
extern void *PropertyGet(Property, void *);
extern int PropertySet(Property, void *, void *);

#ifdef  __cplusplus
}
#endif

#endif /* __com_snert_lib_util_Property_h__ */

